Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231633 - gaim crashes when trying to modify account
Summary: gaim crashes when trying to modify account
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 17:02 UTC by ritz
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-10 20:57:48 UTC


Attachments (Terms of Use)

Description ritz 2007-03-09 17:02:22 UTC
Description of problem:
gaim crashes when trying to modify account

Version-Release number of selected component (if applicable):
$ rpm -qa|grep gaim
gaim-meanwhile-2.0.0-0.5.beta5.fc7
gaim-rhythmbox-2.0-0.5.beta5.fc7
gaim-debuginfo-2.0.0-0.30.beta6.fc7
gaim-otr-3.0.1-0.3.20060921cvs.fc7
gaim-devel-2.0.0-0.30.beta6.fc7
gaim-2.0.0-0.30.beta6.fc7
gaim-libnotify-0.12-3.fc7
gaim-gaym-0.96-3.7.293svn.fc7
gaim-galago-0.5.1-1.fc6
gaim-encryption-3.0-0.1.beta6.fc6
gaim-guifications-2.13-0.6.beta6.fc7


How reproducible:
always

Steps to Reproduce:
1. run gaim
2. Accounts -> Add/Edit
3. select any account
4. Click on modify
  
Actual results:
gaim barfs

Expected results:
gaim should just work.

Additional info:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208277296 (LWP 15189)]
0x0046899b in strlen () from /lib/libc.so.6
(gdb) bt
#0  0x0046899b in strlen () from /lib/libc.so.6
#1  0x0043b4d2 in vfprintf () from /lib/libc.so.6
#2  0x004ddb51 in __vsnprintf_chk () from /lib/libc.so.6
#3  0x04a2dcef in g_vsnprintf () from /lib/libglib-2.0.so.0
#4  0x04a2dea9 in g_snprintf () from /lib/libglib-2.0.so.0
#5  0x080e12a4 in gaim_gtk_protocol_option_menu_new (
    id=0xa343a48 "prpl-jabber", cb=0x806b1d0 <set_account_protocol_cb>, 
    user_data=0xa26cf08) at gtkutils.c:479
#6  0x08069a6f in add_login_options (dialog=0xa26cf08, parent=0xa236320)
    at gtkaccount.c:404
#7  0x0806b5e5 in gaim_gtk_account_dialog_show (
    type=GAIM_GTK_MODIFY_ACCOUNT_DIALOG, account=0x96bf8c0)
    at gtkaccount.c:1456
#8  0x0806c4a1 in modify_account_sel (model=0x9dc49c8, path=0x9e77340, 
    iter=0xbfe94e48, data=0xa2f5738) at gtkaccount.c:1830
#9  0x0598c53e in gtk_tree_selection_selected_foreach ()
   from /usr/lib/libgtk-x11-2.0.so.0
#10 0x080694c5 in modify_account_cb (w=0xa241b28, dialog=0xa2f5738)
    at gtkaccount.c:1840
#11 0x00d2b0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#12 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#13 0x00d2e433 in ?? () from /lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#14 0x00d2f957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#15 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#16 0x057d7cd3 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x057d991e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x00d2b0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#19 0x00d1c589 in ?? () from /lib/libgobject-2.0.so.0
#20 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#21 0x00d2e8ca in ?? () from /lib/libgobject-2.0.so.0
#22 0x00d2f957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#23 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#24 0x057d7d63 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x057d7dc1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x058a8bb0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x00d1c589 in ?? () from /lib/libgobject-2.0.so.0
#28 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#29 0x00d2ea83 in ?? () from /lib/libgobject-2.0.so.0
#30 0x00d2f71f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#31 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#32 0x059bd838 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x058a1f83 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#34 0x058a3187 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#35 0x04e6311a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#36 0x04a04622 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x04a075ff in ?? () from /lib/libglib-2.0.so.0
#38 0x04a079a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#39 0x058a3604 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x080b300b in main (argc=1, argv=0xbfe980a4) at gtkmain.c:817
(gdb) list
453     }
454     #endif /* #ifndef _WIN32 */
455
456     /* FUCKING GET ME A TOWEL! */
457     #ifdef _WIN32
458     int gaim_main(HINSTANCE hint, int argc, char *argv[])
459     #else
460     int main(int argc, char *argv[])
461     #endif
462     {
(gdb) c
Continuing.

Program received signal SIGABRT, Aborted.
0x00b84410 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 4 (Thread -1210377328 (LWP 15191)):
#0  0x00b84410 in __kernel_vsyscall ()
#1  0x004c00f3 in poll () from /lib/libc.so.6
#2  0x04a07633 in ?? () from /lib/libglib-2.0.so.0
#3  0x04a079a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#4  0x003f9554 in ?? () from /usr/lib/libnm_glib.so.0
#5  0x04a2247f in ?? () from /lib/libglib-2.0.so.0
#6  0x00cf32db in start_thread () from /lib/libpthread.so.0
#7  0x004c9d3e in clone () from /lib/libc.so.6

Thread 3 (Thread -1255494768 (LWP 15218)):
#0  0x00b84410 in __kernel_vsyscall ()
#1  0x004c00f3 in poll () from /lib/libc.so.6
#2  0x04a07633 in ?? () from /lib/libglib-2.0.so.0
#3  0x04a079a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#4  0x04c286c2 in ?? () from /usr/lib/libebook-1.2.so.9
#5  0x04a2247f in ?? () from /lib/libglib-2.0.so.0
#6  0x00cf32db in start_thread () from /lib/libpthread.so.0
#7  0x004c9d3e in clone () from /lib/libc.so.6

Thread 2 (Thread -1265984624 (LWP 15221)):
#0  0x00b84410 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
#1  0x004c00f3 in poll () from /lib/libc.so.6
#2  0x04a07633 in ?? () from /lib/libglib-2.0.so.0
#3  0x04a079a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#4  0x008484e0 in ?? () from /usr/lib/libORBit-2.so.0
#5  0x04a2247f in ?? () from /lib/libglib-2.0.so.0
#6  0x00cf32db in start_thread () from /lib/libpthread.so.0
#7  0x004c9d3e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208277296 (LWP 15189)):
#0  0x00b84410 in __kernel_vsyscall ()
#1  0x00424f60 in raise () from /lib/libc.so.6
#2  0x004267b1 in abort () from /lib/libc.so.6
#3  0x080b322b in sighandler (sig=11) at gtkmain.c:207
#4  <signal handler called>
#5  0x0046899b in strlen () from /lib/libc.so.6
#6  0x0043b4d2 in vfprintf () from /lib/libc.so.6
#7  0x004ddb51 in __vsnprintf_chk () from /lib/libc.so.6
#8  0x04a2dcef in g_vsnprintf () from /lib/libglib-2.0.so.0
#9  0x04a2dea9 in g_snprintf () from /lib/libglib-2.0.so.0
#10 0x080e12a4 in gaim_gtk_protocol_option_menu_new (
    id=0xa343a48 "prpl-jabber", cb=0x806b1d0 <set_account_protocol_cb>, 
    user_data=0xa26cf08) at gtkutils.c:479
#11 0x08069a6f in add_login_options (dialog=0xa26cf08, parent=0xa236320)
---Type <return> to continue, or q <return> to quit---
    at gtkaccount.c:404
#12 0x0806b5e5 in gaim_gtk_account_dialog_show (
    type=GAIM_GTK_MODIFY_ACCOUNT_DIALOG, account=0x96bf8c0)
    at gtkaccount.c:1456
#13 0x0806c4a1 in modify_account_sel (model=0x9dc49c8, path=0x9e77340, 
    iter=0xbfe94e48, data=0xa2f5738) at gtkaccount.c:1830
#14 0x0598c53e in gtk_tree_selection_selected_foreach ()
   from /usr/lib/libgtk-x11-2.0.so.0
#15 0x080694c5 in modify_account_cb (w=0xa241b28, dialog=0xa2f5738)
    at gtkaccount.c:1840
#16 0x00d2b0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#17 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#18 0x00d2e433 in ?? () from /lib/libgobject-2.0.so.0
#19 0x00d2f957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#20 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#21 0x057d7cd3 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x057d991e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x00d2b0f9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#24 0x00d1c589 in ?? () from /lib/libgobject-2.0.so.0
#25 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#26 0x00d2e8ca in ?? () from /lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#27 0x00d2f957 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#28 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#29 0x057d7d63 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x057d7dc1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x058a8bb0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#32 0x00d1c589 in ?? () from /lib/libgobject-2.0.so.0
#33 0x00d1dd9b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#34 0x00d2ea83 in ?? () from /lib/libgobject-2.0.so.0
#35 0x00d2f71f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#36 0x00d2fb19 in g_signal_emit () from /lib/libgobject-2.0.so.0
#37 0x059bd838 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x058a1f83 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x058a3187 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x04e6311a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#41 0x04a04622 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#42 0x04a075ff in ?? () from /lib/libglib-2.0.so.0
#43 0x04a079a9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#44 0x058a3604 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x080b300b in main (argc=1, argv=0xbfe980a4) at gtkmain.c:817
(gdb)

Comment 1 Warren Togami 2007-03-09 20:45:39 UTC
Does this crash if you remove all of the gaim add-on packages?

Comment 2 ritz 2007-03-10 20:57:48 UTC
nope, no crash on removal of gaim-addon

Comment 3 Warren Togami 2007-03-11 01:51:57 UTC
You might want to file a bug against the specific add-on that causes the crash?


Note You need to log in before you can comment on or make changes to this bug.